Skip to main content
GET
List Trust Center viewer activity events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

eventTypesMatchesAny
enum<string>[]
Available options:
PAGE_VIEW,
RESOURCE_DOWNLOAD,
RESOURCE_VIEW,
VIDEO_PLAY
afterDate
string<date-time>

Only include activity events that occurred on or after the specified date and time.

beforeDate
string<date-time>

Only include activity events that occurred before the specified date and time.

Response

200 - application/json

Ok

results
object
required